Name:           libtbm
Version:        1.0.6
Release:        1%{?dist}
License:        MIT
Summary:        Tizen Buffer Manager Library
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Patch0:         libtbm-1.0.6-pkgconfig.patch

BuildRequires:  pkgconfig(pthread-stubs)
BuildRequires:  pkgconfig(libdrm)

%description
The library for Tizen Buffer Manager.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(libdrm)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .origine

%build
%configure \
   --with-bufmgr-module-path=%{_libdir}/bufmgr

make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#Avoid installing theses headers in the default include path
mkdir -p $RPM_BUILD_ROOT%{_includedir}/bufmgr
mv $RPM_BUILD_ROOT%{_includedir}/*.h $RPM_BUILD_ROOT%{_includedir}/bufmgr


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING
%{_libdir}/libtbm.so.*
%{_libdir}/libdrm_slp.so.*

%files devel
%dir %{_includedir}/bufmgr
%{_includedir}/bufmgr/*.h
%{_libdir}/libtbm.so
%{_libdir}/libdrm_slp.so
%{_libdir}/pkgconfig/libtbm.pc

%changelog
* Fri Feb 21 2014 Nicolas Chauvet <kwizart@gmail.com> 1.0.6-1
- Initial spec file for Fedora
